/*eslint-disable */
/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function(window)
{
    "use strict";
    var Anchor, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;
    /**
     * A Anchor that which can be used within the filtering/binding infrastructure.
     * @class Anchor
     * @constructor
     * @namespace flexiciousNmsp
     */
    Anchor=function(){
        this._href="";
        flexiciousNmsp.UIComponent.apply(this,["a"]);
    };
    flexiciousNmsp.Anchor = Anchor; //add to name space
    Anchor.prototype = new flexiciousNmsp.Label(); //setup hierarchy
    Anchor.prototype.typeName = Anchor.typeName = 'Anchor';//for quick inspection
    Anchor.prototype.getClassNames=function(){
        return ["Anchor","Label","UIComponent"];
    };
    /**
     * Getter for the href property
     * @method getHref
     */
    Anchor.prototype.getHref=function(){
        return this._href;
    };
    /**
     * Setter for the href property
     * @param val
     * @method setHref
     */
    Anchor.prototype.setHref=function(val){
        this._href = val;
        $(this.domElement).attr("href", val);
    };

}(window));