/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */
 
import BaseEvent from './BaseEvent'

/**
 * For Print Based Events.
 * @constructor
 * @class FlexDataGridPrintEvent
 * @namespace flexiciousNmsp.events
 * 
 */
export default class FlexDataGridPrintEvent extends BaseEvent {
    constructor(type, grid, printGrid, bubbles, cancelable) {
        super(type, bubbles, cancelable);
        this.grid = null;
        this.printGrid = null;
        this.grid = grid;
        this.printGrid = printGrid;

    }

    getClassNames() {
        return ["FlexDataGridPrintEvent", "Event"];
    }
}

flexiciousNmsp.FlexDataGridPrintEvent = FlexDataGridPrintEvent; //add to name space
FlexDataGridPrintEvent.prototype.typeName = FlexDataGridPrintEvent.typeName = 'FlexDataGridPrintEvent';//for quick inspection
FlexDataGridPrintEvent.BEFORE_PRINT = "beforePrint";
FlexDataGridPrintEvent.BEFORE_PRINT_PROVIDER_SET = "beforePrintProviderSet";
FlexDataGridPrintEvent.AFTER_PRINT = "printComplete";