/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

import BaseEvent from '../events/BaseEvent'
/**
 *
 * @param type
 * @param [bubbles]
 * @param [cancelable]
 * @constructor
 * @class ExportEvent
 */
export default class ExportEvent extends BaseEvent {
    constructor(type, bubbles, cancelable) {
        super(type, bubbles, cancelable);
        /**
      * The export options object associated with this event
      * @property exportOptions
      * @type  ExportOptions
      * @default null
      */
        this.exportOptions = null;
        /**
         * The text written so far.
         * @property textWritten
         * @type String
         * @default null
         */
        this.textWritten = null;
    }

    getClassNames() {
        return ["ExportEvent", "Event"];
    }
}

flexiciousNmsp.ExportEvent = ExportEvent; //add to name space 
ExportEvent.prototype.typeName = ExportEvent.typeName = 'ExportEvent';//for quick inspection
ExportEvent.BEFORE_EXPORT = "beforeExport";
ExportEvent.AFTER_EXPORT = "afterExport";