/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */



import TypedObject from '../../../core/TypedObject'
/**
 * A class that is used as a key to group renderers that belong to specific factory and sub factory.
 * @constructor
 * @class FactoryKey
 * @namespace flexiciousNmsp
 */
export default class FactoryKey extends TypedObject {
    constructor(factory, subFactory) {
        super();
        this.factory = factory;
        this.subFactory = subFactory;

    }

    /**
     * @override 
     */
    getClassNames() {
        return "FactoryKey";
    }

    kill() {
        this.factory = null;
        this.subFactory = null;
    }
}
flexiciousNmsp.FactoryKey = FactoryKey;
