/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function(window)
{
    "use strict";
    var PageFooter, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;
    /**
     * A PageFooter that which can be used within the filtering/binding infrastructure.
     * @constructor
     * @namespace flexiciousNmsp
     * 
     */
    PageFooter=function(){
        flexiciousNmsp.PrintArea.apply(this,["div"]);
    };
    flexiciousNmsp.PageFooter = PageFooter; //add to name space
    PageFooter.prototype = new flexiciousNmsp.Label(); //setup hierarchy
    PageFooter.prototype.typeName = PageFooter.typeName = 'PageFooter';//for quick inspection
    PageFooter.prototype.getClassNames=function(){
        return ["PageFooter","PrintArea","UIComponent"];
    };
    PageFooter.prototype.render = function () {
        this.domElement.innerHTML="<table width='100%'><tr><td align='right' style='font-size: 12px;font-weight: bold;'>Page "+this.currentPage+" of "+this.totalPages+" </td></tr></table>";
    };
}(window));

