/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function (window) {
    "use strict";
    var PrintArea, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;
    /**
     * Generic base class used by Report footer, Report Header
     * Page footer, and Page Header components.
     * Has access to the Current Page number, total pages
     * the records on the current page and over all records.
     * @constructor
     * @namespace com.flexicious.print.printareas
     * 
     */
    PrintArea = function (tag) {

        this.pageRecords = [];

        this.allRecords = [];

        this.currentPage = 1;

        this.totalPages = null;

        this.printOptions = null;

        this.printComponent = null;

        this.printable = null;

        flexiciousNmsp.UIComponent.apply(this,[tag]);

        this.setHeight(35);
    };
    flexiciousNmsp.PrintArea = PrintArea; //add to name space
    PrintArea.prototype = new flexiciousNmsp.UIComponent(); //setup hierarchy
    PrintArea.prototype.typeName = PrintArea.typeName = 'PrintArea';//for quick inspection
    PrintArea.prototype.getClassNames = function () {
        return ["PrintArea", "IPrintArea","UIComponent"];
    };
    /**
     * The grid to print
     */
    PrintArea.prototype.getPrintable = function () {
        return this.printable;
    };

    PrintArea.prototype.setPrintable = function (val) {
        this.printable = val;
    };
    /**
     * The grid being printed
     * @return
     *
     */
    PrintArea.prototype.getPrintDataGrid = function () {
        return this.printComponent;
    };

    PrintArea.prototype.setPrintDataGrid = function (val) {
        this.printComponent = val;
    };
    /**
     * The grid being printed
     * @return
     *
     */
    PrintArea.prototype.getExtendedDataGrid = function () {
        return this.printable;
    };

    PrintArea.prototype.setExtendedDataGrid = function (val) {
        this.printable = val;
    };

    PrintArea.prototype.getCurrentPage = function () {
        return (this.currentPage);
    };
    PrintArea.prototype.setCurrentPage = function (val) {
        this.currentPage = val;
    };
    PrintArea.prototype.getTotalPages = function () {
        return (this.totalPages);
    };
    PrintArea.prototype.setTotalPages = function (val) {
        this.totalPages = val;
    };
    PrintArea.prototype.render = function () {

    };
}(window));