/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function(window)
{
    "use strict";
    var ReportFooter, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;
    /**
     * A ReportFooter that which can be used within the filtering/binding infrastructure.
     * @constructor
     * @namespace flexiciousNmsp
     * 
     */
    ReportFooter=function(){
        flexiciousNmsp.PrintArea.apply(this,["div"]);
    };
    flexiciousNmsp.ReportFooter = ReportFooter; //add to name space
    ReportFooter.prototype = new flexiciousNmsp.Label(); //setup hierarchy
    ReportFooter.prototype.typeName = ReportFooter.typeName = 'ReportFooter';//for quick inspection
    ReportFooter.prototype.getClassNames=function(){
        return ["ReportFooter","PrintArea","UIComponent"];
    };
    ReportFooter.prototype.render = function () {
        var dateFormat=new flexiciousNmsp.DateFormatter();
        dateFormat.formatString=Constants.MEDIUM_DATE_MASK;
        this.domElement.innerHTML="<table width='100%'><tr><td align='right' style='font-size: 12px;font-weight: bold;'>Report Generated On: "+dateFormat.format(new Date())+"</td></tr></table>";
    };

}(window));
