/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */


import Constants from '../../utils/Constants'
import UIUtils from '../../utils/UIUtils' 
import TypedObject from '../../core/TypedObject' 
/**
 *
 * @class Rectangle
 * @param [x]
 * @param [y]
 * @param [w]
 * @param [h]
 * @constructor
 */
export default class Rectangle extends TypedObject {
    constructor(x, y, w, h) {
        super();
        this.x = x;
        this.y = y;
        this.width = w;
        this.height = h;
    }

    getClassNames() {
        return "Rectangle";
    }

    getX() {
        return this.x;
    }

    setX(val) {
        this.x = val;
    }

    getY() {
        return this.y;
    }

    setY(val) {
        this.y = val;
    }

    getWidth() {
        return this.width;
    }

    setWidth(val) {
        this.width = val;
    }

    getHeight() {
        return this.height;
    }

    setHeight(val) {
        this.height = val;
    }
}

flexiciousNmsp.Rectangle = Rectangle;