/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

import Constants from '../../utils/Constants'
import UIUtils from '../../utils/UIUtils' 
import TypedObject from '../../core/TypedObject'
/**
 * An object that represents information about a cell.
 * @constructor
 * @class CellInfo
 * @namespace flexiciousNmsp
 * 
 */
export default class CellInfo extends TypedObject {
    constructor(rowData, column) {
        super();
        this.rowData = rowData;
        this.column = column;
    }

    /**
     * @return {Array}
     */
    getClassNames() {
        return ["CellInfo", "TypedObject"];
    }

    getColumn() {
        return this.column;
    }
}

flexiciousNmsp.CellInfo = CellInfo; //add to name space

/**
 * @type {String}
 */
CellInfo.prototype.typeName = CellInfo.typeName = 'CellInfo';//for quick inspection
