/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */
import UIComponent from '../core/UIComponent'
 

/**
 * A ModalPopup that encapsulates children
 * @class Label
 * @constructor
 * @namespace flexiciousNmsp
 */
export default class ModalPopup extends UIComponent {
    constructor(props) {
        super(props, "div", false);
        this.content = "Please provide content";
        this.initFromProps(props);
    }

    componentDidMount() {
        super.componentDidMount();
        UIUtils.addPopUp(ReactDOM.findDomNode(this), document.body, true, null, "Select Date");
    }
    getClassNames() {
        return ["ModalPopup", "UIComponent"];
    }
    render() {
        return this.content;
    }
}

flexiciousNmsp.ModalPopup = ModalPopup; //add to name space
ModalPopup.prototype.typeName = ModalPopup.typeName = 'ModalPopup';//for quick inspection
