/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */
import TypedObject from '../core/TypedObject'

/**
 * A Class that holds X and Y information
 * @constructor
 * @class Point
 * @namespace flexiciousNmsp
 * 
 */
export default class Point extends TypedObject {
    constructor(x, y) {
        super();
        /**
         * The x co-ordinate of this point
         * @type {Number}
         */
        this.x = x;
        /**
         * The y co-ordinate of this point
         * @type {Number}
         */
        this.y = y;
    }

    getClassNames() { //for support of "is" keyword
        return ["TypedObject", this.typeName];
    }

    getX() {
        return this.x;
    }

    setX(val) {
        this.x=val;
    }

    getY() {
        return this.y;
    }

    setY(val) {
        this.y=val;
    }
}

flexiciousNmsp.Point = Point; //add to name space
Point.prototype.typeName = Point.typeName = "Point";//for quick inspection

