/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */


import Constants from '../utils/Constants'
import UIUtils from '../utils/UIUtils'
import UIComponent from '../core/UIComponent'
/**
 * A Image that which can be used within the filtering/binding infrastructure.
 * @class Image
 * @constructor
 * @namespace flexiciousNmsp
 * 
 */
export default class Image extends UIComponent {
    constructor() {
        super({}, "img");
        this._src = "";
    }

    getClassNames() {
        return ["Image", "UIComponent"];
    }

    /**a
     * Getter for the href property
     */
    getSource() {
        return this._src;
    }

    /**
     * Setter for the href property
     * @param val
     */
    setSource(val) {
        this._src = val;
        this.setAttribute("src", val);
    }
    componentDidMountCustom() {
        if (this.domElement) {
            this.domElement.style.left = this.propertyBag.style.left;
            this.domElement.style.top = this.propertyBag.style.top;
        }
    }
}

flexiciousNmsp.Image = Image; //add to name space 
Image.prototype.typeName = Image.typeName = 'Image';//for quick inspection