/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

import BaseEvent from './BaseEvent'
/**
 * A utility event that holds a data object
 * @constructor
 * @class WrapperEvent
 * @namespace flexiciousNmsp
 * 
 * @param type
 * @param data
 * @param [bubbles]
 * @param [cancelable]
 */
export default class WrapperEvent extends BaseEvent {
    constructor(type, data, bubbles, cancelable) {
        super(type, bubbles, cancelable);
        if (typeof data === "undefined") {
            data = null;
        }
        /**
         * Data associated with this event
         * @type {*}
         */
        this.data = data;
    }

    getClassNames() { //for support of "is" keyword
        return ["BaseEvent", this.typeName];
    }
}

flexiciousNmsp.WrapperEvent = WrapperEvent; //add to name space
WrapperEvent.prototype.typeName = WrapperEvent.typeName = "WrapperEvent";//for quick inspection
