/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function(window)
{
    "use strict";
    var PrintPreviewEvent, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;

    PrintPreviewEvent=function(type,bubbles, cancelable){
        this.printOptions=null;
        flexiciousNmsp.BaseEvent.apply(this,[type, bubbles, cancelable]);
    };

    flexiciousNmsp.PrintPreviewEvent = PrintPreviewEvent; //add to name space
    PrintPreviewEvent.prototype = new flexiciousNmsp.BaseEvent(); //setup hierarchy
    PrintPreviewEvent.prototype.typeName = PrintPreviewEvent.typeName = 'PrintPreviewEvent';//for quick inspection
    PrintPreviewEvent.prototype.getClassNames=function(){
        return ["PrintPreviewEvent","Event"];
    };

    PrintPreviewEvent.PAGE_INDEX_CHANGED= "pageIndexChanged";
    PrintPreviewEvent.COLUMNS_CHANGED= "columnsChanged";
    PrintPreviewEvent.DATAGRID_RECREATE_REQUIRED= "gridRecreateRequired";
    PrintPreviewEvent.COLUMNS_RESIZED= "gridColumnsResized";
    PrintPreviewEvent.PAGE_OPTIONS_CHANGED="pageOptionsChanged";
    PrintPreviewEvent.PRINT_REQUESTED= "printRequested";
    PrintPreviewEvent.PRINT_CANCELED= "printCanceled";
    PrintPreviewEvent.PDF_BYTES_READY= "pdfBytesReady";
    PrintPreviewEvent.BEFORE_PRINT= "beforePrint";
    PrintPreviewEvent.AFTER_PRINT= "afterPrint";
}(window));