/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

(function(window)
{
    "use strict";
    var ReportHeader, uiUtil = flexiciousNmsp.UIUtils, flxConstants = flexiciousNmsp.Constants;
    /**
     * A ReportHeader that which can be used within the filtering/binding infrastructure.
     * @constructor
     * @namespace flexiciousNmsp
     * 
     */
    ReportHeader=function(){
        flexiciousNmsp.PrintArea.apply(this,["div"]);

    };
    flexiciousNmsp.ReportHeader = ReportHeader; //add to name space
    ReportHeader.prototype = new flexiciousNmsp.Label(); //setup hierarchy
    ReportHeader.prototype.typeName = ReportHeader.typeName = 'ReportHeader';//for quick inspection
    ReportHeader.prototype.getClassNames=function(){
        return ["ReportHeader","PrintArea","UIComponent"];
    };
    ReportHeader.prototype.render = function () {
        var dateFormat=new flexiciousNmsp.DateFormatter();
        dateFormat.formatString=Constants.MEDIUM_DATE_MASK;
        this.domElement.innerHTML="<table width='100%'><tr><td align='right' style='font-size: 12px;font-weight: bold;'>Report Generated On: "+dateFormat.format(new Date())+"</td></tr></table>";
    };
}(window));