/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */

import Constants from '../../utils/Constants'
import UIUtils from '../../utils/UIUtils' 
import TypedObject from '../../core/TypedObject'

/**
 * Creates an instance of ComponentAdditionResult.
 * @constructor
 * @class ComponentAdditionResult
 */
export default class ComponentAdditionResult extends TypedObject {
    constructor() {
        super();
        this.horizontalSpill = false;
        this.verticalSpill = false;
        this.componentInfo = null;

    }

    /**
     *
     * @return {Array}
     */
    getClassNames() {
        return ["ComponentAdditionResult", "TypedObject"];
    }
}

/**
 *
 * @type {Function}
 */
flexiciousNmsp.ComponentAdditionResult = ComponentAdditionResult; //add to name space

/**
 *
 * @type {String}
 */
ComponentAdditionResult.prototype.typeName = ComponentAdditionResult.typeName = 'ComponentAdditionResult';//for quick inspection