/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */


import Constants from '../../utils/Constants'
import UIUtils from '../../utils/UIUtils' 
import TypedObject from '../../core/TypedObject'

/**
 *A class that stores information about what page an
 * item exists on, at what level.
 * @constructor
 * @class ItemPositionInfo
 * @namespace flexiciousNmsp
 * 
 * @param item
 * @param level
 * @param pageIndex
 * @param itemindex
 */
export default class ItemPositionInfo extends TypedObject {
 constructor(item, level, pageIndex, itemindex) {
     super();
     /**
      *
      * @type {Object}
      * @property level
      * @default null
      */
     this.level=null;
     /**
      *
      * @type {Number}
      * @property pageIndex
      * @default null
      */
     this.pageIndex=null;
     /**
      *
      * @type {Number}
      * @property itemIndex
      * @default  null
      */
     this.itemIndex=null;
     /**
      *
      * @type {Object}
      * @property item
      * @default null
      */
     this.item=null;


     /**
      *
      * @type {Object}
      * @property item
      * @default item
      */
     this.item=item;
     /**
      *
      * @type { FlexDataGridColumnLevel}
      * @property level
      * @default level
      */
     this.level=level;
     /**
      *
      * @type {Number}
      * @property pageIndex
      * @default  pageIndex
      */
     this.pageIndex=pageIndex;
     /**
      *
      * @type {Number}
      * @property itemIndex
      * @default itemIndex
      */
     this.itemIndex=itemindex;

 }

 /**
  *
  * @return {Array}
  */
 getClassNames() {
     return ["ItemPositionInfo","TypedObject"];
 }
}

/**
 *
 * @type {Function}
 */
flexiciousNmsp.ItemPositionInfo = ItemPositionInfo; //add to name space
/**
 *
 * @type {String}
 */
ItemPositionInfo.prototype.typeName = ItemPositionInfo.typeName = 'ItemPositionInfo';//for quick inspection