/*eslint-disable */
/**
 * Flexicious
 * Copyright 2011, Flexicious LLC
 */


import Constants from '../../utils/Constants'
import UIUtils from '../../utils/UIUtils' 
import TypedObject from '../../core/TypedObject'
/**
 *
 * @param sortCol
 * @param sortAscending
 * @constructor
 * @class SortInfo
 */
export default class SortInfo extends TypedObject {
    constructor(sortCol, sortAscending) {
        super();
        /**
         *
         * @type {*}
         * @property sortCol
         * @default sortCol
         */
        this.sortCol = sortCol;
        /**
         *
         * @type {*}
         * @property sortAscending
         * @default sortAscending
         */
        this.sortAscending = sortAscending;

    }

    /**
     *
     * @return {String}
     * @property getClassNames

     */
    getClassNames() {
        return "SortInfo";
    }
}

/**
 *
 * @type {Function}
 */
flexiciousNmsp.SortInfo = SortInfo;